import utils from '../common/request.js'
export default {
	//选择行政区
	getDistrict(data) {
		return utils.requestFn(`/system/dict/data/type/district`, data)
	},
	// //选择小区
	// getArea(data) {
	// 	return utils.requestEn(`/mobile/area/getArea`, data)
	// },
	//选择单元
	getUnit(data) {
		return utils.requestEn(`/mobile/unit/getUnit`, data)
	},
	//选择楼宇
	getBuilding(data) {
		return utils.requestEn(`/mobile/building/getBuilding`, data)
	},
	//选择房屋(门牌)
	getHouse(data) {
		return utils.requestEn(`/mobile/house/getHouse`, data)
	},
	//公告列表
	getNoticeList(data) {
		return utils.requestEn(`/mobile/notice/getNotice`, data)
	},
	//关于我们
	getAboutUs(data) {
		return utils.requestEn(`/mobile/aboutUs/getOne`, data)
	},
	//服务说明
	getExplain(data) {
		return utils.requestEn(`/mobile/explain/getOne`, data)
	},
	//上门类型
	getDic(data) {
		return utils.requestEn(`/mobile/order/getDic`, data)
	},
	//管子类别
	getPipeType(data) {
		return utils.requestEn(`/mobile/pipeType/getPipeType`, data)
	},
	//管子长度
	getPipeLength(data) {
		return utils.requestEn(`/mobile/pipeLength/getPipeLength`, data)
	},
	//历史施工
	getListAll(data) {
		return utils.requestFn(`/mobile/order/getListAll`, data)
	},
	//历史施工（查看详情页）
	getOrderPhoto(data) {
		return utils.requestEn(`/mobile/orderPhoto/getPhoto`, data)
	},
	//提交数据
	submitOrder(data) {
		return utils.requestFn(`/mobile/order`, data, 'POST')
	},
	//工程列表
	getEngineList(data) {
		return utils.requestEn(`/mobile/otherEngine/getList`, data)
	},
	//查看非市政项目
	getEngineDetail(data) {
		return utils.requestEn(`/mobile/otherEngine/getById`, data)
	},
	//查看非市政项目页 确认上传照片
	updateEnginePhoto(data) {
		return utils.requestFn(`/mobile/otherEngine`, data, 'PUT')
	},
	//门牌验证
	// getOrderForStatus(data){
	//     return utils.requestEn(`/mobile/order/getOrderForStatus`, data)
	// },
	//首页轮播图
	getLunBo(data) {
		return utils.requestEn(`/mobile/rotation/list`, data)
	},
	//获取项目类型
	getProjectType(data) {
		return utils.requestEn(`/mobile/order/getDic`, data)
	},
	//获取项目列表
	getProjectList(data) {
		return utils.requestEn(`/mobile/otherEngine/getList`, data)
	},
	//自闭阀类型
	getProject(data) {
		return utils.requestEn(`/mobile/valve/getValveType`, data)
	},
	//上传照片
	getImage(data) {
		return utils.requestFn(`/obs`, data, 'POST')
	},
	//获取用户名
	getUserName(data) {
		return utils.requestFn(`/mobile/user/getName`, data)
	},
	//工程列表
	getList(data) {
		return utils.requestEn(`/mobile/order/getList`, data)
	},
	//小区合格率
	getExamineArea(data) {
		return utils.requestEn(`/mobile/area/getExamineArea`, data)
	},
	//列表
	getOtherList(data) {
		return utils.requestEn(`/mobile/order/getOtherList`, data)
	},
	//职工合格率
	getExamineWorker(data) {
		return utils.requestEn(`/mobile/area/getExamineWorker`, data)
	},
	//小区服务统计
	getExamineServe(data) {
		return utils.requestEn(`/mobile/area/getExamineServe`, data)
	},
	//管材类别统计
	getExaminePipeType(data) {
		return utils.requestEn(`/mobile/area/getExaminePipeType`, data)
	},
	//管材长度统计
	getExaminePipeLength(data) {
		return utils.requestEn(`/mobile/area/getExaminePipeLength`, data)
	},
	//自闭阀类别统计
	getExamineValveType(data) {
		return utils.requestEn(`/mobile/area/getExamineValveType`, data)
	},
	//小区汇总统计
	getAreaSum(data) {
		return utils.requestEn(`/mobile/area/getAreaSum`, data)
	},
	//获取职工
	// getWorker(data) {
	// 	return utils.requestEn(`/mobile/area/getWorker`, data)
	// },
	getById(data) {
		return utils.requestEn(`/mobile/order/getById`, data)
	},
	getOrderList(data) {
		return utils.requestEn(`/mobile/order/getList`, data)
	},
	//修改
	getUpdateOrder(data) {
		return utils.requestFn(`/mobile/order`, data, 'PUT')
	},
	//选择门牌(安检，工程管理页)
	getAllHouse(data) {
		return utils.requestEn(`/mobile/house/getAllHouse`, data)
	},
	//选择门牌(安检，工程管理页)
	getDictInfo(data) {
		return utils.requestEn(`/mobile/sysInfo/dict`, data)
	}, //选择门牌(安检，工程管理页)
	getUnitList(data) {
		return utils.requestEn(`/mobile/unit/getUnit`, data)
	},
	getBuildingList(data) {
		return utils.requestEn(`/mobile/building/getBuilding`, data)
	},
	getArea(data) {
		return utils.requestEn(`/mobile/area/getArea`, data)
	},
	getDictInfoList(data) {
		return utils.requestEn(`/mobile/sysInfo/dictlist`, data, 'POST')
	},
	setregulatorBox(data) {
		return utils.requestEn(`/mobile/regulatorBox`, data, 'POST')
	},
	setwarningPile(data) {
		return utils.requestEn(`/mobile/warningPile`, data, 'Put')
	},
	getwarningPileList(data) {
		return utils.requestEn(`/mobile/warningPile/getList`, data)
	},
	getwarningPileInfo(data) {
		return utils.requestEn(`/mobile/warningPile/${data}`)
	},
	setcourtyardNetworkManagement(data) {
		return utils.requestEn(`/mobile/courtyardNetworkManagement`, data, 'POST')
	},
	setemergencyRepair(data) {
		return utils.requestEn(`/mobile/emergencyRepair`, data, 'POST')
	},
	getOne() {
		return utils.requestEn(`/mobile/explain/getOne`)
	},
	getWorker(data) {
		return utils.requestEn(`/mobile/user/getWorker`, data)
	},
	getSearch(data) {
		return utils.requestEn(`/mobile/sysInfo/search`, data, 'POST')
	},
	//庭院网管控制器
	getcourtyardNetworkManagement(data) {
		return utils.requestEn(`/mobile/courtyardNetworkManagement/${data}`)
	},
	//抢险维修控制器
	getemergencyRepair(data) {
		return utils.requestEn(`/mobile/emergencyRepair/${data}`)
	},
	//调压箱管理控制器
	getregulatorBox(data) {
		return utils.requestEn(`/mobile/regulatorBox/${data}`)
	},
	//警示桩控制器
	getwarningPile(data) {
		return utils.requestEn(`/mobile/warningPile/${data}`)
	},
	patrolRecord(data) {
		return utils.requestEn(`/mobile/patrolRecord`, data, 'POST')
	},
	//警示桩控制器
	getpatrolRecord(data) {
		return utils.requestEn(`/mobile/patrolRecord/${data}`)
	},
	getAdministrativeOffice(data) {
		return utils.requestEn(`/mobile/regulatorBox/getAdministrativeOffice`, data)
	},
	getregulatorBoxList(data) {
		return utils.requestEn(`/mobile/regulatorBoxList/list`, data)
	},
}